Bug 174981 - Admin console fails to load libnss3.so when authenticating with SSL
Admin console fails to load libnss3.so when authenticating with SSL
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Security - SSL (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
1.0.2
:
Depends On:
Blocks: 152373 183369 240316
  Show dependency treegraph
 
Reported: 2005-12-05 06:54 EST by Kim B. Nielsen
Modified: 2015-12-07 11:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 11:49:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kim B. Nielsen 2005-12-05 06:54:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc3 Firefox/1.0.7

Description of problem:
When trying to start the console, this happens:

[root@gudhjem fedora-ds]# ./startconsole -u admin -a https://gudhjem.daimi.au.dk:57777/
Exception in thread "main" java.lang.UnsatisfiedLinkError: /opt/fedora-ds/lib/libjss3.so: libnss3.so: cannot open shared object file: No such file or directory
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1560)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1485)
        at java.lang.Runtime.loadLibrary0(Runtime.java:788)
        at java.lang.System.loadLibrary(System.java:834)
        at org.mozilla.jss.CryptoManager.loadNativeLibraries(CryptoManager.java:1330)
        at org.mozilla.jss.CryptoManager.initialize(CryptoManager.java:822)
        at org.mozilla.jss.CryptoManager.initialize(CryptoManager.java:795)
        at com.netscape.management.client.util.UtilConsoleGlobals.initJSS(Unknown Source)
        at com.netscape.management.client.comm.HttpsChannel.<clinit>(Unknown Source)
        at com.netscape.management.client.comm.HttpManager.createChannel(Unknown Source)
        at com.netscape.management.client.comm.CommManager.send(Unknown Source)
        at com.netscape.management.client.comm.CommManager.send(Unknown Source)
        at com.netscape.management.client.comm.HttpManager.get(Unknown Source)
        at com.netscape.management.client.console.Console.invoke_task(Unknown Source)
        at com.netscape.management.client.console.Console.authenticate_user(Unknown Source)
        at com.netscape.management.client.console.Console.<init>(Unknown Source)
        at com.netscape.management.client.console.Console.main(Unknown Source)

And the console just times out on the authentication.



Version-Release number of selected component (if applicable):
1.0

How reproducible:
Always

Steps to Reproduce:
1. Install FDS
2. Run setup and install and configure SSL
3. Try to log in via the console
  

Actual Results:  As Description

Expected Results:  The console should log in

Additional info:

OS: RedHat Advanced Server 3.
Comment 1 Kim B. Nielsen 2005-12-05 06:59:16 EST
Ahh....

Installing these packages: 

[root@gudhjem fedora-ds]# rhn_check

Name                                    Version        Rel
----------------------------------------------------------
mozilla-nss                             1.7.12         1.1.3.2           i386
mozilla-nss-devel                       1.7.12         1.1.3.2           i386

mozilla-nss-1.7.12-1.1.3.2. ########################## Done.
mozilla-nss-devel-1.7.12-1. ########################## Done.
mozilla-nspr-1.7.12-1.1.3.2 ########################## Done.
mozilla-nspr-devel-1.7.12-1 ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:mozilla-nspr           ########################################### [100%]
   2:mozilla-nss            ########################################### [100%]
   3:mozilla-nspr-devel     ########################################### [100%]
   4:mozilla-nss-devel      ########################################### [100%]
The following packages were added to your selection to satisfy dependencies:

Name                                    Version        Release
--------------------------------------------------------------
mozilla-nspr                            1.7.12         1.1.3.2
mozilla-nspr-devel                      1.7.12         1.1.3.2

Fixed the problem. Might be a good idea to attach a note on that somewhere,
since the 7.1 server didn't need these packages to be installed

Comment 2 Rich Megginson 2005-12-05 09:45:32 EST
Hmm - Nathan, how is libjss3.so supposed to find it's nss and nspr dependencies?
Comment 3 Rich Megginson 2005-12-08 13:36:48 EST
Fixed in FDS 1.0.1 - the installation patches startconsole to set the
LD_LIBRARY_PATH to find the appropriate shared libraries under
/opt/fedora-ds/shared/lib.

Comment 4 Michael Gregg 2007-11-20 13:02:48 EST
Verified aginst:
1195521753 redhat-ds-base-8.0.0-11.el5dsrv Mon Nov 19 2007 
1195521755 redhat-ds-admin-8.0.0-1.15.el5dsrv Mon Nov 19 2007 
1195521757 redhat-ds-console-8.0.0-8.el5dsrv Mon Nov 19 2007 
1195521758 redhat-admin-console-8.0.0-9.el5dsrv Mon Nov 19 2007 

Note You need to log in before you can comment on or make changes to this bug.